Cisco Unity Connection Provisioning Interface (CUPI) API -- User Post Greeting Recording

Links to Other API pages: Cisco_Unity_Connection_APIs

Post Greeting Recording Settings API

The following URI can be used to view the user object ID:

GET https://<connection-server>/vmrest/users/<user-objectid>

From the above URI, get the call handler object ID.

Update Post Greeting Recording Settings

Request Body:
<CallhandlerPrimaryTemplate>
    <PlayPostGreetingRecording>1</PlayPostGreetingRecording>
</CallhandlerPrimaryTemplate>

The following is the response from the *PUT* request and the actual response will depend upon the information given by you:

Response Code: 204

JSON Example

To update post greeting recording settings, do the following:

Request URI:
PUT https://<connection-server>/vmrest/callhandlerprimarytemplates/<ObjectId>
Accept: application/json
Content-type: application/json
Connection: keep-alive
Request Body:
{
    "PlayPostGreetingRecording":"1"
}

The following is the response from the *PUT* request and the actual response will depend upon the information given by you:

Response Code: 204

Explanation of Data Fields

Parameters Data Type Operations Values
PlayPostGreetingRecording Integer Read/Write
  • 0: Do Not Play Recording
  • 1: Play Recording to All Callers
  • 2: Play Recording Only to Unidentified Callers
PostGreetingRecordingObjectId String(64) Read/Write Object Id of post greeting. URI to fetch it:
https://<connection-server>/vmrest/postgreetingrecordings